using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using SK.MemberBLL;

namespace SK.MemberWeb.admin
{
	/// <summary>
	/// Payment_Monthly 的摘要说明。
	/// </summary>
	public class Payment_Monthly : BasePage
	{
		protected System.Web.UI.WebControls.Repeater lstProduct;
		protected System.Web.UI.WebControls.Button btnSave;
		ProductSystem product = new ProductSystem();
		RightMemberSystem rightmember = new RightMemberSystem();
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			if(!IsPostBack)
			{
				if(!rightmember.Allow(0,"Payment",this.CurrentMemberID))
					Response.Redirect("noright.aspx");

				BindData();
			}
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.btnSave.Click += new System.EventHandler(this.btnSave_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
		private void BindData()
		{
			lstProduct.DataSource = product.List();
			lstProduct.DataBind();
		}

		private void btnSave_Click(object sender, System.EventArgs e)
		{
			for(int i=0;i<lstProduct.Items.Count;i++)
			{
				if(lstProduct.Items[i].ItemType==ListItemType.AlternatingItem)
				{
					product.Update(((Label)lstProduct.Items[i].FindControl("ProductID_A")).Text,((TextBox)lstProduct.Items[i].FindControl("txtProductName_A")).Text,((TextBox)lstProduct.Items[i].FindControl("txtMonthlyMoney_A")).Text,((TextBox)lstProduct.Items[i].FindControl("txtProductNO_A")).Text);
				}
				if(lstProduct.Items[i].ItemType==ListItemType.Item)
				{
					product.Update(((Label)lstProduct.Items[i].FindControl("ProductID_I")).Text,((TextBox)lstProduct.Items[i].FindControl("txtProductName_I")).Text,((TextBox)lstProduct.Items[i].FindControl("txtMonthlyMoney_I")).Text,((TextBox)lstProduct.Items[i].FindControl("txtProductNO_I")).Text);
				}
			}
			this.AlertAndRedir("保存成功","Payment_Monthly.aspx");
		}
	}
}
